//
//  MyUpcomingListHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/6.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "MyUpcomingListHttpPostCmd.h"
#import "MyUpcomingListHttpResult.h"

static NSString *kActionUrl1 = @"/newdealt/queryAllDealtListByName";

@implementation MyUpcomingListHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MyUpcomingListHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MyUpcomingListHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpMyUpcomingListHttpPostCmd_system = @"system";
NSString *const kHttpMyUpcomingListHttpPostCmd_state = @"state";
NSString *const kHttpMyUpcomingListHttpPostCmd_targetid = @"targetid";
NSString *const kHttpMyUpcomingListHttpPostCmd_attr = @"attr";
NSString *const kHttpMyUpcomingListHttpPostCmd_pageNum = @"pageNum";
NSString *const kHttpMyUpcomingListHttpPostCmd_pageSize = @"pageSize";
NSString *const kHttpMyUpcomingListHttpPostCmd_empuid = @"empuid";
